/*
 *  Copyright 2015 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.plugins.blog.button');

org.ametys.plugins.blog.button.SmartTagBlogButton = function(id, configuration, pluginName) 
{
	org.ametys.plugins.blog.button.SmartTagBlogButton.superclass.constructor.call(this, id, configuration, pluginName);
};

Ext.extend(org.ametys.plugins.blog.button.SmartTagBlogButton, org.ametys.ribbon.control.button.SmartTagButton, {});

org.ametys.plugins.blog.button.SmartTagBlogButton.prototype.checkContentTarget = function ()
{
	return function (target) {
		// filter blog content types
		return target.getType() == 'content' && target.getParameters().type != 'org.ametys.plugins.blog.Content.post';
	};
}
